# _fluid_sfont_t Struct Reference

## Data Fields

void * | data
unsigned int | id
int(* | free )(fluid_sfont_t *sfont)
| The 'free' callback function should return 0 when it was able to free all resources.
char *(* | get_name )(fluid_sfont_t *sfont)
| Return the name of the sfont.
fluid_preset_t *(* | get_preset )(fluid_sfont_t *sfont, unsigned int bank, unsigned int prenum)
| Return the preset with the specified bank and preset number.

## Detailed Description

Definition at line 92 of file sfont.h.

## Field Documentation

int(* _fluid_sfont_t::free)(fluid_sfont_t *sfont)

The 'free' callback function should return 0 when it was able to free all resources.

It should return a non-zero value if some of the samples could not be freed because they are still in use.

fluid_preset_t*(* _fluid_sfont_t::get_preset)(fluid_sfont_t *sfont, unsigned int bank, unsigned int prenum)

Return the preset with the specified bank and preset number.

All the fields, including the 'sfont' field, should * be filled in. If the preset cannot be found, the function returns NULL.

The documentation for this struct was generated from the following file:

- include/fluidsynth/sfont.h